You need to enable JavaScript to run this app.
Volcano Engine Function as a Service

Volcano Engine Function as a Service

Copy page
Download PDF
Sandbox instances
DescribeSandbox
Copy page
Download PDF
DescribeSandbox
Obtain sandbox instance details.​
Request description​
  • Request method: POST​
  • Request URL: http://open.volcengineapi.com/?Action=DescribeSandbox&Version=2024-06-06​
Debugging​
API Explorer
You can initiate calls online through API Explorer without paying attention to the signature generation process and quickly obtain the call results.
​
Request parameters​
​
Parameter​
Type​
Required​
sample value​
Description​
Action​
String​
Yes​
DescribeSandbox​
Interface name. The name of the current API is DescribeSandbox.​
Version​
String​
Yes​
2024-06-06​
Interface version. The current version of the API is 2024-06-06 .​
SandboxId​
String​
Yes​
vefaas-fnhyb3lm-ku58oo12ls-****​
Sandbox instance ID/name.​
To obtain sandbox instance IDs, you can go to veFaaS console > Cloud sandbox > Sandbox application page, click the target sandbox application, and switch to Sandbox example tab.​
FunctionId​
String​
Yes​
fnhy****​
The ID of the sandbox application to which sandbox instances belong.​
To obtain sandbox application IDs, you can go to Volcano Engine Function as a Service (veFaaS) console > Cloud sandbox > Sandbox application page.​
​
Sample requests​
​
POST http://open.volcengineapi.com/?Action=DescribeSandbox&Version=2024-06-06 HTTP/1.1​
Content-Type: application/json​
{​
"SandboxId": "vefaas-fnhyb3lm-ku58oo12ls-****",​
"FunctionId": "fnhy****"​
}
​
Response parameters​
​
Parameter​
Type​
Sample value​
Description​
Id​
String​
vefaas-fnhyb3lm-ku58oo12ls-****​
Sandbox instance ID/name.​
FunctionId​
String​
fnhy****​
The ID of the sandbox application to which sandbox instances belong.​
Metadata​
JSON Map​
{"app":"test"}​
The metadata of sandbox instance labels.​
CreatedAt​
String​
2025-04-25 11:11:29.376 +0000 UTC​
The creation time of sandbox instances.​
ExpireAt​
String​
2025-04-25 11:31:29.376 +0000 UTC​
Sandbox instance lifetime.​
Status​
String​
Ready​
Sandbox instance status: ​
  • Starting: in progress of starting​
  • Ready: started already​
  • Failed: failed to start​
  • Terminating: in progress of terminating​
RevisionNumber​
Integer​
1​
Function instance version number.​
AvailabilityZone​
String​
cn-beijing-b​
The availability zone ID of sandbox instances.​
InstanceType​
String​
elastic​
Sandbox instance types. Parameter value description:​
  • elastic: elastic instance​
  • frozen: frozen instance​
  • activated: activated instance​
  • reserved: reserved instance​
ErrorCode​
String​
function_health_check_failed​
Error codes for start failures of the sandbox instance: ​
  • internal_load_request_error: Internal system error​
  • function_initialize_failed: Business process initialization error​
  • function_health_check_failed: Health check error​
  • route_terminating: in progress of deleting route​
This field is empty if the sandbox instance starts normally.​
ErrorMessage​
String​
function_health_check_failed​
Details of the error code for the start failures of sandbox instances.​
This field is empty if sandbox instances start normally.​
Pending​
Boolean​
true​
Whether a sandbox instance is in Pending status: ​
  • true: yes​
  • false: no​
RequestTimeout​
Integer​
60​
Maximum request timeout for sandbox instances.​
MaxConcurrency​
Integer​
100​
Maximum concurrent requests per sandbox instance.​
MemoryMB​
Integer​
1,024​
The memory specification of a sandbox instance, measured in MiB.​
CpuMilli​
Integer​
500​
The CPU specification of a sandbox instance, measured in milliCPU.​
ImageInfo​
Object of InstanceImageInfo​
-​
Image information of sandbox instances, including image address, start command, and listening port.​
Envs​
Array of EnvVar​
-​
The environment variables for sandbox instances.​
InstanceTosMountConfig​
-​
The TOS mount information of the sandbox instance, which is the information of TOS Bucket mount directory at the instance level.​
​
InstanceImageInfo​
​
Parameter​
Type​
sample value​
Description​
Id​
String​
xGWv9****​
The ID of the preheated image used by sandbox instances.​
Port​
Integer​
8,080​
Listening ports of sandbox instances.​
warning​
Note that these ports are already occupied by veFaaS: 9000, 9001, 9990.​
Image​
String​
cr-vefaas-cn-beijing.cr.volces.com/wdf/test/****:latest​
The address of the preheated image used by sandbox instances.​
Command​
String​
bash /root/sandbox/scripts/run.sh​
The start command for sandbox instances. If you need to execute a script file instead, ensure entering an absolute path and the script file has execute permission.​
​
EnvVar​
​
Parameter​
Type​
Sample value​
Description​
Key​
String​
business_type​
The key of an environment variable for sandbox instances.​
Value​
String​
free​
The value of the environment variable for sandbox instances.​
​
InstanceTosMountConfig​
​
Parameter​
Type​
Sample value​
Description​
Enable​
Boolean​
true​
Whether TOS mount is enabled for sandbox instances:​
  • true: Yes​
  • false: No​
TosMountPoints​
Array of TosMountPoint​
-​
The detailed information of TOS mount directories used by sandbox instances.​
​
TosMountPoint​
​
Parameter​
Type​
Sample value​
Description​
BucketPath​
String​
/sandbox​
The TOS remote directory mounted to sandbox instances.​
LocalMountPath​
String​
/mnt/tos​
The local directory for the TOS storage bucket mounted to sandbox instances.​
If this directory is the local mount directory for TOS storage configured in the sandbox application, the system will modify TOS BucketPath accordingly.​
​
Sample responses​
​
HTTP/1.1 200 OK​
Content-Type: application/json​
{​
"ResponseMetadata": {​
"RequestId": "20230604110420****100232280022D31",​
"Action": "DescribeSandbox",​
"Version": "2024-06-06",​
"Service": "vefaas",​
"Region": "cn-beijing"​
},​
"Result": {​
"Id": "vefaas-fnhyb3lm-ku58oo12ls-****",​
"FunctionId": "fnhy****",​
"Metadata": {​
"app": "test"​
},​
"CreatedAt": "2025-04-25 11:11:29.376 +0000 UTC",​
"ExpireAt": "2025-04-25 11:31:29.376 +0000 UTC",​
"Status": "Ready",​
"RevisionNumber": 1,​
"AvailabilityZone": "cn-beijing-b",​
"InstanceType": "elastic",​
"ErrorCode": "function_health_check_failed",​
"ErrorMessage": "function_health_check_failed",​
"Pending": true,​
"RequestTimeout": 60,​
"MaxConcurrency": 100,​
"MemoryMB": 1024,​
"CpuMilli": 500,​
"ImageInfo": {​
"Id": "xGWv9****",​
"Port": 8080,​
"Image": "cr-vefaas-cn-beijing.cr.volces.com/wdf/test/****:latest",​
"Command": "bash /root/sandbox/scripts/run.sh"​
},​
"Envs": [​
{​
"Key": "business_type",​
"Value": "free"​
}​
],​
"InstanceTosMountConfig": {​
"Enable": true,​
"TosMountPoints": [​
{​
"BucketPath": "/sandbox",​
"LocalMountPath": "/mnt/tos"​
}​
]​
}​
}​
}
​
Error codes​
There is no error code dedicated to this interface currently. If you encounter an exception when calling the interface, you can refer to Public error codes for troubleshooting.​
Last updated: 2025.09.22 15:28:02